Bug 980625 - Use xz to compress tarball
Use xz to compress tarball
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 17:11 EDT by Ville Skyttä
Modified: 2013-07-07 04:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 12:17:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-07-02 17:11:35 EDT
Compressing the tarball with xz would save about 14 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336 and let me know if you'd like me to take care of this for devel.


diff --git a/gcc.spec b/gcc.spec
index 6929f54..e0054e9 100644
--- a/gcc.spec
+++ b/gcc.spec
@@ -79,3 +79,3 @@ Group: Development/Languages
-# svn export svn://gcc.gnu.org/svn/gcc/branches/redhat/gcc-4_7-branch@%{SVNREV} gcc-%{version}-%{DATE}
-# tar cf - gcc-%{version}-%{DATE} | bzip2 -9 > gcc-%{version}-%{DATE}.tar.bz2
-Source0: gcc-%{version}-%{DATE}.tar.bz2
+# svn export svn://gcc.gnu.org/svn/gcc/branches/redhat/gcc-4_8-branch@%{SVNREV} gcc-%{version}-%{DATE}
+# tar cf - gcc-%{version}-%{DATE} | xz > gcc-%{version}-%{DATE}.tar.xz
+Source0: gcc-%{version}-%{DATE}.tar.xz
Comment 1 Jakub Jelinek 2013-07-04 12:17:58 EDT
As the same tarballs are used for RHEL5-RHEL7 and Fedora 19+, and RHEL5 doesn't have xz, this is not possible.
Comment 2 Ville Skyttä 2013-07-07 04:07:32 EDT
Fine, note however the s/gcc-4_7-branch/gcc-4_8-branch/ fix for the svn export command.

Note You need to log in before you can comment on or make changes to this bug.